#
#  GDS package setup script
#
prefix=/usr
exec_prefix=${prefix}
GDS_LOCATION=$prefix
export GDS_LOCATION
#
prepend()
{
#  prepend - add new item to path if not already there
    newpath=$1
    oldpath=$2
    compath=$3
    if [ -z "${compath}" ]; then
        export ${oldpath}=${newpath}
    else
        if [[ ":$compath:" != *":$newpath:"* ]]; then
            export ${oldpath}=${newpath}:${compath}
        fi
    fi
}
prepend "${exec_prefix}/bin" "PATH" "${PATH}"
prepend "/usr/lib" "LD_LIBRARY_PATH" "${LD_LIBRARY_PATH}"
prepend "/usr/lib" "DYLD_LIBRARY_PATH" "${DYLD_LIBRARY_PATH}"
prepend "/usr/lib/pkgconfig" "PKG_CONFIG_PATH" "${PKG_CONFIG_PATH}"
prepend "/usr/share/man" "MANPATH" "${MANPATH}"
prepend "/usr/lib/python2.7/site-packages" "PYTHONPATH" "${PYTHONPATH}"
